package com.goafanti.patent.bo;

import java.util.Date;

import org.apache.commons.lang3.time.DateFormatUtils;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonFormat.Shape;
import com.goafanti.common.constant.AFTConstants;

/**
 * 专利申请费用管理
 */
public class PatentApplicationFeeBo {
	private String	uid;

	private String	oid;

	private String	pid;

	private String	cid;

	private Integer	serialNumber;

	private String	patentNumber;

	private Integer	locationProvince;

	private String	unitName;

	private String	patentName;
	
	private Integer paymentState;
	
	private Integer applicationFee;
	
	private Integer trialFee;
	
	private Integer printingFee;
	
	private Integer funds;
	
	private Integer reimbursement;
	
	private Date patentApplicationDate;
	

	public String getUid() {
		return uid;
	}

	public void setUid(String uid) {
		this.uid = uid;
	}

	public String getOid() {
		return oid;
	}

	public void setOid(String oid) {
		this.oid = oid;
	}

	public String getPid() {
		return pid;
	}

	public void setPid(String pid) {
		this.pid = pid;
	}

	public String getCid() {
		return cid;
	}

	public void setCid(String cid) {
		this.cid = cid;
	}

    
	public Integer getSerialNumber() {
		return serialNumber;
	}

	public void setSerialNumber(Integer serialNumber) {
		this.serialNumber = serialNumber;
	}

	public String getPatentNumber() {
		return patentNumber;
	}

	public void setPatentNumber(String patentNumber) {
		this.patentNumber = patentNumber;
	}

	public Integer getLocationProvince() {
		return locationProvince;
	}

	public void setLocationProvince(Integer locationProvince) {
		this.locationProvince = locationProvince;
	}

	public String getUnitName() {
		return unitName;
	}

	public void setUnitName(String unitName) {
		this.unitName = unitName;
	}

	public String getPatentName() {
		return patentName;
	}

	public void setPatentName(String patentName) {
		this.patentName = patentName;
	}

	public Integer getPaymentState() {
		return paymentState;
	}

	public void setPaymentState(Integer paymentState) {
		this.paymentState = paymentState;
	}

	public Integer getApplicationFee() {
		return applicationFee;
	}

	public void setApplicationFee(Integer applicationFee) {
		this.applicationFee = applicationFee;
	}

	public Integer getTrialFee() {
		return trialFee;
	}

	public void setTrialFee(Integer trialFee) {
		this.trialFee = trialFee;
	}

	public Integer getPrintingFee() {
		return printingFee;
	}

	public void setPrintingFee(Integer printingFee) {
		this.printingFee = printingFee;
	}

    	
	
	@JsonFormat(shape = Shape.STRING)
	public Integer getFunds() {
		return funds;
	}

	public void setFunds(Integer funds) {
		this.funds = funds;
	}
	
	@JsonFormat(shape = Shape.STRING)
	public Integer getReimbursement() {
		return reimbursement;
	}

	public void setReimbursement(Integer reimbursement) {
		this.reimbursement = reimbursement;
	}

	public Date getPatentApplicationDate() {
		return patentApplicationDate;
	}

	public void setPatentApplicationDate(Date patentApplicationDate) {
		this.patentApplicationDate = patentApplicationDate;
	}
    
	//patentApplicationDate
	public String getPatentApplicationDateFormattedDate(){
		if (this.patentApplicationDate == null) {
			return null;
		} else {
			return DateFormatUtils.format(this.getPatentApplicationDate(), AFTConstants.YYYYMMDDHHMMSS);
		}
	}
	
	public void setPatentApplicationDateFormattedDate(String patentApplicationDateFormattedDate){
		
	}

	
	
}
